"use strict";
exports.__esModule = true;
var fetch_1 = require("../../api/fetch");
// miniprogram/pages/feedbackDetail/feedbackDetail.js
Page({
    /**
     * 页面的初始数据
     */
    data: {
        customerName: '',
        customerPhone: '',
        id: '',
        dataList: [],
        shortCuts: [],
        areaId: '',
        r1: true,
        cb: false,
        index: -1,
        isHidden: true,
        inputValue: ""
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        console.log("options", options);
        var customerName = options.customerName, customerPhone = options.customerPhone, id = options.id, areaId = options.areaId;
        wx.setNavigationBarTitle({
            title: "".concat(customerName, "-").concat(customerPhone)
        });
        this.setData({
            customerName: customerName,
            customerPhone: customerPhone,
            id: id,
            areaId: areaId
        });
        wx.showLoading({
            title: '加载中'
        });
        this.getShortcuts();
        this.fetchList();
        setTimeout(function () {
            wx.pageScrollTo({
                scrollTop: 2000
            });
        }, 1500);
    },
    onPageScroll: function (e) {
        console.log("eeeee", e);
    },
    inputHandle: function (e) {
        var val = e.detail.value;
        this.setData({
            inputValue: val
        });
    },
    setContent: function (e) {
        var content = e.currentTarget.dataset.content;
        this.setData({
            inputValue: content,
            isHidden: true
        });
    },
    del: function (e) {
        var _this = this;
        var id = e.currentTarget.dataset.id;
        wx.showModal({
            title: '删除提示',
            content: '您确定要删除该快捷回复吗？',
            success: function (res) {
                if (res.confirm) {
                    (0, fetch_1.customerFetch)({
                        url: "/feedback/shortcuts/".concat(id),
                        method: 'DELETE'
                    })
                        .then(function (res) {
                        wx.showToast({
                            title: res.msg,
                            icon: 'none',
                            duration: 2000
                        });
                        _this.getShortcuts();
                    })["catch"](function (err) {
                        wx.showToast({
                            title: err.errMsg,
                            icon: 'none'
                        });
                    });
                }
            }
        });
    },
    showModal: function () {
        this.setData({
            isHidden: false
        });
    },
    setV1: function (e) {
        this.setData({
            cb: e.detail.value
        });
    },
    subData: function (str) {
        console.log(str, str.substring(0, 20));
        return str.substring(0, 20);
    },
    cancel: function () {
        this.setData({
            isHidden: true
        });
    },
    setV: function (e) {
        console.log(e);
        this.setData({
            r1: JSON.parse(e.detail.value)
        });
    },
    sendFeedback: function (e) {
        var _this = this;
        if (this.data.dataList.length == 0) {
            wx.showToast({
                title: '当前无法发送消息',
                icon: 'none',
                duration: 2000
            });
            return;
        }
        var id = this.data.dataList[this.data.dataList.length - 1].id;
        var val = this.data.inputValue;
        if (val.trim() == "")
            val = "您的反馈客服已处理，谢谢！";
        console.log(val, id);
        if (this.data.cb && this.data.shortCuts.length >= 5) {
            wx.showModal({
                title: '添加提示',
                content: '当前默认回复列表已经5条,若加入此条回复,将造成最早一条默认回复被删除，确定继续吗?',
                success: function (res) {
                    if (res.confirm) {
                        (0, fetch_1.customerFetch)({
                            url: '/feedback/feedback',
                            method: 'PUT',
                            data: {
                                id: id,
                                isAddShortcut: _this.data.cb ? 1 : 0,
                                replayContent: val,
                                state: _this.data.r1 ? '3' : '2'
                            }
                        })
                            .then(function (res) {
                            wx.showToast({
                                title: res.msg,
                                icon: 'none',
                                duration: 2000
                            });
                            _this.setData({
                                inputValue: ''
                            });
                            // this.triggerEvent('refresh', {});
                            wx.navigateBack();
                        })["catch"](function (err) {
                            wx.showToast({
                                title: err.errMsg,
                                icon: 'none'
                            });
                        });
                    }
                }
            });
        }
        else {
            (0, fetch_1.customerFetch)({
                url: '/feedback/feedback',
                method: 'PUT',
                data: {
                    id: id,
                    replayContent: val,
                    isAddShortcut: this.data.cb ? 1 : 0,
                    state: this.data.r1 ? '3' : '2'
                }
            })
                .then(function (res) {
                wx.showToast({
                    title: res.msg,
                    icon: 'none',
                    duration: 2000
                });
                _this.setData({
                    inputValue: ''
                });
                // this.triggerEvent('refresh', {});
                wx.navigateBack();
            })["catch"](function (err) {
                wx.showToast({
                    title: err.errMsg,
                    icon: 'none'
                });
            });
        }
    },
    getShortcuts: function () {
        var _this = this;
        //获取快捷回复列表
        (0, fetch_1.customerFetch)({
            url: "/feedback/shortcuts",
            data: { areaId: this.data.areaId }
        })
            .then(function (res) {
            var list = res.data;
            _this.setData({
                shortCuts: list
            });
        })["catch"](function (err) {
            console.log(err);
        });
    },
    fetchList: function () {
        var _this = this;
        return (0, fetch_1.customerFetch)({
            url: "/feedback/get/feedback/".concat(this.data.id)
        })
            .then(function (res) {
            wx.hideLoading();
            var list = res.data.list;
            _this.setData({
                dataList: list
            });
        })["catch"](function (err) {
            wx.hideLoading();
            console.log(err);
        });
    }
});
